package gov.va.med.esr.mvc.model;

import gov.va.med.esr.service.external.person.EESummary;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlSchema;

@XmlRootElement(
		name = "getEligibilityDeterminationResponse", 
		namespace = "http://jaxws.webservices.esr.med.DNS   /schemas"
			)
@XmlAccessorType(XmlAccessType.FIELD)
public class EDStatusModel extends AbstractServiceDataWrapperImpl {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1245811396541920012L;
	
	
	private EESummary edstatus;
    private String eesVersion;
    // Added for echoing the request.
    private String firstName;
    private String lastName;
    private String middleName;
    private String gender;
    private String dob;
    private String vpid;
    private String ssn;
    
    @Override
    public Object getServiceData() {
        return getEdstatus();
    }
    @Override
    public void setServiceData(Object serviceData) {
        setSummary((EESummary) serviceData);
    }
    public EESummary getEdstatus() {
        return edstatus;
    }
    public void setSummary(EESummary edstatus) {
        this.edstatus = edstatus;
    }
    public String getEesVersion() {
        return eesVersion;
    }
    public void setEesVersion(String eesVersion) {
        this.eesVersion = eesVersion;
    }
	public String getDob() {
		return dob;
	}
	public void setDob(String dob) {
		this.dob = dob;
	}
	public String getFirstName() {
		return firstName;
	}
	public void setFirstName(String firstName) {
		this.firstName = firstName;
	}
	public String getGender() {
		return gender;
	}
	public void setGender(String gender) {
		this.gender = gender;
	}
	public String getLastName() {
		return lastName;
	}
	public void setLastName(String lastName) {
		this.lastName = lastName;
	}
	public String getMiddleName() {
		return middleName;
	}
	public void setMiddleName(String middleName) {
		this.middleName = middleName;
	}
	public String getSsn() {
		return ssn;
	}
	public void setSsn(String ssn) {
		this.ssn = ssn;
	}
	public String getVpid() {
		return vpid;
	}
	public void setVpid(String vpid) {
		this.vpid = vpid;
	}

}
